<!-- ts-services -->
<script id="yapo-ql" charset="UTF-8" src="//js-services.yapo.cl/@yapo-services/yapo-graphql/<%$(ts_service.yapo_graphql.version)%>/index.legacy.js"></script>

<%|varblock|
	<%|define_keyval("defined_qs")|%QUERY_STRING%>
	<%|define("ad_id")|%id%>
	<%|define("is_msite")|1%>
	<%|define("api_content")|apitemplates/view.json%>
	&include("mobile/vars/vars.html")
	<%|define("view_output")|%response%>
	<%|json_vtree(%view_output)|
		<link href="<%&static_css()%>m_adview.css" rel="stylesheet" type="text/css">
		<div id="daview" class="daview">
			<div
				account-id="%account_id"
				id="dataAd"
				data-datetime="<%%date%>"
				data-id="%id"
				data-image="%image"
				data-title="<%|htmlentities|%subject%>"
				data-linkto=""
				data-category="%category"
				data-region="%region"
				data-region-name="$(common.region.%region.name)"
				data-comuna="%communes"
				data-adtype="%company_ad"
				data-price="%price"
				data-type="%type"
			>
		</div>
			<!-- <TOP PANEL> -->
			<%|include("mobile/adview/includes/panel_top.html")|%>
			<!-- </TOP PANEL> -->

			<!-- <AD REPLY OK> -->
			<%|include("mobile/adview/includes/ad_reply_ok.html")|%>
			<!-- </AD REPLY OK> -->

			<!-- <IMAGES> -->
			<%|include("mobile/adview/includes/images.html")|%>
			<!-- </IMAGES> -->

			<!-- <TITLE> -->
			<%|include("mobile/adview/includes/title_price_date.html")|%>
			<!-- </TITLE> -->

      <!-- <SUGGESTED QUESTIONS> -->
      <%($(suggested.questions.enabled)==1)
        <%|include("mobile/adview/includes/suggested_questions.html")|%>
      %>
      <!-- </SUGGESTED QUESTIONS> -->

			<!-- <SOCIAL LINKS> -->
			<%|include("mobile/adview/includes/social_links.html")|%>
			<!-- </SOCIAL LINKS> -->

			<!-- Fix poisition to cotiza -->
			<div class="boxContainer-cotiza">
				<!-- <COTIZA> -->
				<%|include("mobile/adview/includes/cotiza.html")|%>
				<!-- </COTIZA> -->

				<!-- <AD PARAMS> -->
				<%|include("mobile/adview/includes/ad_params.html")|%>
				<!-- </AD PARAMS> -->
			</div>

			<!-- <DESCRIPTION> -->
			<%|include("mobile/adview/includes/description.html")|%>
			<!-- </DESCRIPTION> -->

			<!-- <MAPS> -->
			<%|include("mobile/adview/includes/maps.html")|%>
			<!-- </MAPS> -->

			<!-- <SUGGESTED ADS CAROUSEL> -->
			<%|include("mobile/adview/includes/suggested_ads.html")|%>
			<!-- </SUGGESTED ADS CAROUSEL> -->
			<!-- <USER PROFILE> -->
			<%|include("vi/include/seller_info.html")|%>
			<!-- </USER PROFILE> -->
			<!-- <ADMIN AD> -->
			<%|include("mobile/adview/includes/admin_ad.html")|%>
			<!-- </ADMIN AD> -->

			<!-- <SERVICES BOARD> -->
			<%($(services_banners.enabled) == "1")
				<div class="board-services__box-mobile">
					<%|include("vi/board_services.html")|%>
				</div>
			%>
			<!-- </SERVICES BOARD> -->

		</div>
		<!-- Start of cotiza pages -->
		<%|include("mobile/adview/includes/cotiza_pages.html")|%>
		<!-- End of cotiza pages -->

		<!-- Start of map page -->
		<%|include("mobile/adview/includes/map_page.html")|%>
		<!-- End of map page -->

		<!-- <AD REPLY> -->
		<%|include("mobile/adview/includes/ad_reply.html")|%>
		<!-- </AD REPLY> -->

		<!-- <AD REPLY BRAZE HANDLER> -->
		<%|include("vi/include/ad_reply_braze.html")|%>
		<!-- <AD REPLY BRAZE HANDLER HANDLER> -->

		<!-- <STICKY BAR> -->
		<%|include("mobile/adview/includes/sticky_bar.html")|%>
		<!-- </STICKY BAR> -->

		<!-- <SUBIR PAGE> -->
		<%|include("mobile/adview/includes/subir_page.html")|%>
		<!-- </SUBIR PAGE> -->

		<!-- <BOTTOM ADVER> -->
		<%(&ad_banner_show("google_gpt", %appl, "mobile", "boxbanner") == 1)
			<div class="google_banner">
				<div id="google_banner_web_mobile_vi_boxbanner"></div>
			</div>
		%>
		<!-- </BOTTOM ADVER> -->

		<!-- <FOOTER> -->
		<%($(seo_friendly_footer.%category.enabled) == "1")
			<%&include("common/seo_footer.html")%>
		%>
		<!-- <FOOTER> -->

		<%(?phone_hidden && %phone_hidden == 0)
			<!-- <CALL PAGE> -->
			<%|include("mobile/adview/includes/call_page.html")|%>
			<!-- </CALL PAGE> -->
		%>
	%>
%>
<script type="text/javascript">
<%|define_split("messages",",")|
	ERROR_ADREPLY_BODY_MISSING,
	ERROR_ADREPLY_BODY_TOO_LONG,
	ERROR_ADREPLY_BODY_TOO_SHORT,
	ERROR_EMAIL_INVALID,
	ERROR_EMAIL_MISSING,
	ERROR_NAME_MISSING,
	ERROR_NAME_TOO_LONG,
	ERROR_NAME_TOO_SHORT,
	ERROR_PHONE_MISSING,
	ERROR_PHONE_TOO_SHORT,
	ERROR_PHONE_TOO_LONG,
	ERROR_PHONE_INVALID,
	ERROR_PHONE_INVALID
%>var messages={<%|@loop("messages")|"<%|trim|%messages%>":"<%&translate(<%|trim|%messages%>)%>"<%(#@@ > @@#+1),::}%>%>;
$(document).ready(function() {
	var owl = $("#carousel");
	var status = $("#owlStatus");
	var itemsFull = owl.find('.item').length;

	updateResult('.owlItems', itemsFull);
	owl.owlCarousel({
		items:1,
		lazyLoad:true,
		nav:false,
		dots:false,
		loop: owl.children().length > 1,
		margin:0,
	});
	owl.on('changed.owl.carousel', function(event) {
		var current = (event.item.index -1);
		updateResult('.currentItem',current);
	});

	owl.on('resize.owl.carousel', function(e) {
		if ($('.owl-item').width() === $('body').width()) {
			e.preventDefault();
		}
	});

	function updateResult(pos,value){
		status.find(pos).text(value);
	}

	items = [];
	// Swipe
	$('.owl-item').each( function() {
		var $pic = $(this);
		$pic.find('a').each(function(index, link) {
			var img = new Image();

			img.onload = function() {
				var $href   = $(link).attr('href'),
					$width  = this.width,
					$height = this.height;
					$indek  = $(link).data('index');

				// Set background size
				if ($width > $height) {
					$(link).parent().css('background-size','auto 100%');
				} else {
					$(link).parent().css('background-size','100% auto');
				}

				var item = {
					src : $href,
					w   : $width,
					h   : $height,
				}

				items[$indek] = item;
			}
			img.src = $(link).attr('href');
		});
	});

	if(!$(".no-image").length){
		var $pswp = $('.pswp')[0];
		$('.owl-item').on('click', function(event) {
			event.preventDefault();
			var index = $(this).find('a').data('index');
			var options = {
			  index: index,
			  bgOpacity: 1,
			  showHideOpacity: true,
			  history: false,
			  captionEl: false,
			  arrowEl: false,
			}
			// Initialize PhotoSwipe
			var lightBox = new PhotoSwipe($pswp, PhotoSwipeUI_Default, items, options);
			lightBox.init();

			lightBox.listen('afterChange', function() {
				var currentIndex = lightBox.getCurrentIndex();
				owl.trigger('to.owl.carousel', currentIndex);
			});
		});
	}
	$( ".owl-nav.disabled, .owl-dots.disabled" ).css( "display", "none" );
});
</script>
<%($(verbolia.dynamic.links.msite_adview)==1)<script src="https://www.yapo.cl/paginas/content/js/velw.min.js"></script>%>
<%&include("common/xiti.html")%>
<%&include("common/tealium.html")%>
<%&include("common/braze_adview.html")%>
